package com.loit.common.langfang.dto;

import com.loit.common.utils.excel.annotation.ExcelField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


@ApiModel(value = "CommandManualDTO", description = "管理手册DTO")
public class CommandManualDTO implements Serializable {

    private static final long serialVersionUID = -6587921299183759035L;


    /**
     * 大类ID
     */
    private String bigTypeId;


    @ApiModelProperty(value = "大类代码")
    @ExcelField(title = "大类代码", sort = 1)
    private String bigTypeCode;

    @ApiModelProperty(value = "大类名称")
    @ExcelField(title = "大类名称", sort = 2)
    private String bigTypeName;


    @ApiModelProperty(value = "小类代码")
    @ExcelField(title = "小类代码", sort = 3)
    private String smallTypeCode;


    @ApiModelProperty(value = "小类代码名称")
    @ExcelField(title = "小类代码名称", sort = 4)
    private String smallTypeName;


    @ApiModelProperty(value = "管理问题")
    @ExcelField(title = "管理问题", sort = 5)
    private String manageProblem;

    @ApiModelProperty(value = "a类处置时限")
    @ExcelField(title = "atype", sort = 6)
    private String atype;


    @ApiModelProperty(value = "b类处置时限")
    @ExcelField(title = "btype", sort = 7)
    private String btype;


    @ApiModelProperty(value = "c类处置时限")
    @ExcelField(title = "ctype", sort = 8)
    private String ctype;


    /**
     * 大类编号Int
     */
    private Integer bigTypeCodeInt;

    /**
     * 小类编号Int
     */
    private Integer smallTypeCodeInt;

    /**
     * 大类和小类组合编码
     */
    private String bigAndSmallCode;


    public String getBigTypeId() {
        return bigTypeId;
    }

    public void setBigTypeId(String bigTypeId) {
        this.bigTypeId = bigTypeId;
    }

    public String getBigTypeCode() {
        return bigTypeCode;
    }

    public void setBigTypeCode(String bigTypeCode) {
        this.bigTypeCode = bigTypeCode;
    }

    public String getBigTypeName() {
        return bigTypeName;
    }

    public void setBigTypeName(String bigTypeName) {
        this.bigTypeName = bigTypeName;
    }

    public String getSmallTypeCode() {
        return smallTypeCode;
    }

    public void setSmallTypeCode(String smallTypeCode) {
        this.smallTypeCode = smallTypeCode;
    }

    public String getSmallTypeName() {
        return smallTypeName;
    }

    public void setSmallTypeName(String smallTypeName) {
        this.smallTypeName = smallTypeName;
    }

    public String getManageProblem() {
        return manageProblem;
    }

    public void setManageProblem(String manageProblem) {
        this.manageProblem = manageProblem;
    }

    public String getAtype() {
        return atype;
    }

    public void setAtype(String atype) {
        this.atype = atype;
    }

    public String getBtype() {
        return btype;
    }

    public void setBtype(String btype) {
        this.btype = btype;
    }

    public String getCtype() {
        return ctype;
    }

    public void setCtype(String ctype) {
        this.ctype = ctype;
    }

    public Integer getBigTypeCodeInt() {
        return bigTypeCodeInt;
    }

    public void setBigTypeCodeInt(Integer bigTypeCodeInt) {
        this.bigTypeCodeInt = bigTypeCodeInt;
    }

    public Integer getSmallTypeCodeInt() {
        return smallTypeCodeInt;
    }

    public void setSmallTypeCodeInt(Integer smallTypeCodeInt) {
        this.smallTypeCodeInt = smallTypeCodeInt;
    }

    public String getBigAndSmallCode() {
        return bigAndSmallCode;
    }

    public void setBigAndSmallCode(String bigAndSmallCode) {
        this.bigAndSmallCode = bigAndSmallCode;
    }
}
