package com.loit.common.script.dto;

/**
 * 构建环境
 */
public enum BuildEnvEnum {


    /**
     * 生产
     */
    PRODUCT("product", "生产"),

    /**
     * 准生产
     */
    PRE_PRODUCT("preProduct", "准生产"),

    /**
     * 演示环境
     */
    PRE_VIEW("preView", "演示环境");


    private String code;
    private String name;

    private BuildEnvEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

    /**
     * 根据Code 获取枚举
     */
    public static BuildEnvEnum getEnumByCode(String code) {
        for (BuildEnvEnum bfEnum : BuildEnvEnum.values()) {
            if (bfEnum.getCode().equals(code)) {
                return bfEnum;
            }
        }
        return null;
    }

}
