#!/bin/bash
#此脚本用于自动分割Nginx的日志，包括access.log和error.log
#每天00:00执行此脚本 将前一天的access.log重命名为access-xxxx-xx-xx.log格式，并重新打开日志文件
#Nginx日志文件所在目录
LOG_PATH=/home/soft/logs/nginx
mkdir -p $LOG_PATH/data
#获取昨天的日期
YESTERDAY=$(date -d "yesterday" +%Y-%m-%d)
#获取pid文件路径
PID=/usr/local/nginx/logs/nginx.pid
#分割日志
fileList=`find $LOG_PATH  -name "*.log"`
for file in $fileList 
do
    filename=${file##*/}
	mv $file ${LOG_PATH}/data/${filename%.*}-${YESTERDAY}.log
done
#向Nginx主进程发送USR1信号，重新打开日志文件
kill -USR1 `cat ${PID}`