input {
    file {
        path => [
<#list mapList as item>
            "${item.deployPath}/logs/loit-${item.serviceName}.log"<#if item_has_next>,</#if>
</#list>
        ]
        discover_interval => 15
        stat_interval => 1
        codec => multiline {
            pattern => "^\["
            negate => true
            what => "previous"
            charset => "UTF-8"
        }
        type => "elasticsearch"
        start_position => "beginning"
    }
}

filter {
    # pattern matching logback pattern
    grok {
        match => {
            "message" => "\[%{TIMESTAMP_ISO8601:exeTime}\]\s+%{DATA:appName}\s+\[%{DATA:reqInfo}\]\s+\[%{DATA:userId}\]\s+\[%{DATA:thread}\]\s+%{LOGLEVEL:logLevel}\s+%{DATA:class}\s+-\s+%{GREEDYDATA:msg}"
        }
    }
}

output {
    stdout {
        codec => rubydebug
    }
    elasticsearch {
        hosts => ["10.0.120.212:9200","10.0.120.44:9200","10.0.120.143:9200"]
        index => "loit${esindex}-%{+YYYY.MM}-%{+xxxx.ww}"
    }
}
