package com.loit.component.keygen.leaf.core.reg;

import com.loit.component.keygen.leaf.core.spi.TypeBasedSPIConfiguration;
import lombok.Getter;
import lombok.Setter;

import java.util.Properties;

/**
 * Registry center configuration.
 */
@Getter
@Setter
public final class RegistryCenterConfiguration extends TypeBasedSPIConfiguration {

    /**
     * Server list of registry center.
     */
    private String serverLists;

    /**
     * Namespace of registry center.
     */
    private String namespace;

    /**
     * Digest of registry center.
     */
    private String digest;

    /**
     * Operation timeout time in milliseconds.
     */
    private int operationTimeoutMilliseconds = 500;

    /**
     * Max number of times to retry.
     */
    private int maxRetries = 3;

    /**
     * Time interval in milliseconds on each retry.
     */
    private int retryIntervalMilliseconds = 500;

    /**
     * Time to live in seconds of ephemeral keys.
     */
    private int timeToLiveSeconds = 60;

    public RegistryCenterConfiguration(final String type) {
        super(type);
    }

    public RegistryCenterConfiguration(final String type, final Properties properties) {
        super(type, properties);
    }
}
